<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HW JS #5 - strings, dates</title>
    <link rel="stylesheet" href="css/style.css">
</head>
<body>
    <div class="container">
        <h1 class="page-title">HW JS #5 - strings, dates</h1>
        <div class="task-block">
            <p class="question"><span class="quoted">Вопрос:</span> Опишите своими словами, что такое экранирование, и зачем оно нужно в языках программирования</p>
            <p class="answer">
                Экранирование используется для написания одинаковых ковычек внутри друг друга и при этом не разрывать строку. Можно использовать
                и варианты " aaa 'bbb' ccc" и наоборот, но после знакомства с обратными ковычками я обычными не пользуюсь, если нужно вывести
                более двух слов или значение переменной в тексте.
                Так же экранирование полезно, когда нужно обезопасить полученные данные из форм или других сторонних источников. В php даже
                есть ряд системных функций для этого.
            </p>
        </div>
        <div class="task-block">
            <p class="question"><span class="quoted">Задача:</span>Дополнить функцию createNewUser() методами подсчета возраста пользователя и его паролем.</p>
            <p class="additional">
                <strong>... и как всегда </strong> <br>
                пара плюшек от меня!
            </p>
            <p class="answer btn-wrapper">
                <button class="btn btn-red" onclick="startTask()">Запустить</button>
            </p>
            <!-- <p class="result">Результат в консоли!</p> -->
        </div>
    </div>
    
    <script src="js/task1.js"></script>
</body>
</html>